Subject: Re: Another question on draft-ietf-dhc-authentication-11.txt (fwd)

From: "William A. Arbaugh" <[email-masked]>
Date: Wed, 21 Jul 1999 12:30:26 -0400 (EDT)

On Wed, 21 Jul 1999, Bernard Aboba wrote:

> Just reread the draft again, and had the following thought:
> 
> How are the DHCP servers to verify the 
> authentication option and sign messages?
> 
> Are we to assume that the DHCP servers have cleartext access
> to the shared secret? If we are talking about generating
> the secret from a master secret as described in the
> Appendix, this might be feasible. However, I don't like
> that method much since a master secret shared among
> many clients does not have much security value. So I
> prefer to think of this as involving a unique shared
> secret for each client in which case I think the 
> answer to this is "no." 
> 
The answer will depend on how the authentication is done. If it's a shared
secret model, then I would expect the DHCP server to have access to the
clear text secret or some means to pass the verification off via a secure 
tunnel. (BTW- I don't like the master secret appendix approach either).
How, exactly, the DHCP server completes the authentication process is
implementation independent and should be so IMHO.

Bill